## ZendX_JQuery_View_Helper_AccordionPane

Description

jQuery Accordion Pane, goes with Accordion Container

- copyright: Copyright (c) 2005-2008 Zend Technologies USA Inc. (http://www.zend.com)
- license: New BSD License
- uses: ZendX_JQuery_View_Helper_AccordionContainer

Located in /JQuery/View/Helper/AccordionPane.php (line 37)

    Zend_View_Helper_HtmlElement
       |
       --ZendX_JQuery_View_Helper_UiWidget
          |
          --ZendX_JQuery_View_Helper_UiWidgetPane
             |
             --ZendX_JQuery_View_Helper_AccordionPane

Method Summary
string|ZendX_JQuery_View_Helper_AccordionPane accordionPane ([string $id = null], [string $content = ''], [ $options = array()])
void _addPane (string $id, string $name, string $content, [ $options = array()])
Variables

#### Inherited Variables

Inherited from ZendX_JQuery_View_Helper_UiWidgetPane

> ZendX_JQuery_View_Helper_UiWidgetPane::$_captureInfo
> ZendX_JQuery_View_Helper_UiWidgetPane::$_captureLock

Inherited from ZendX_JQuery_View_Helper_UiWidget

> ZendX_JQuery_View_Helper_UiWidget::$jquery

Methods
accordionPane (line 52)

Add accordion pane to the accordion with $id

Directly add an additional pane to the accordion with $id. The title is to be given in the $options array as 'title' key. Additionally when specified with no arguments, the helper returns itsself as object making it possible to use captureStart() and captureEnd() methods.

- access: public

string|ZendX_JQuery_View_Helper_AccordionPane accordionPane ([string $id = null], [string $content = ''], [ $options = array()])

- string $id
- string $content
- array $options

_addPane (line 76)

Method hooks into Accordion Container and registeres new pane

- access: protected

void _addPane (string $id, string $name, string $content, [ $options = array()])

- string $id
- string $name
- string $content
- array $options

Redefinition of:

ZendX_JQuery_View_Helper_UiWidgetPane::_addPane()
  Add an additional pane to the current Widget Container

#### Inherited Methods

Inherited From ZendX_JQuery_View_Helper_UiWidgetPane

> ZendX_JQuery_View_Helper_UiWidgetPane::captureEnd()
> ZendX_JQuery_View_Helper_UiWidgetPane::captureStart()
> ZendX_JQuery_View_Helper_UiWidgetPane::_addPane()

Inherited From ZendX_JQuery_View_Helper_UiWidget

> ZendX_JQuery_View_Helper_UiWidget::setView()
> ZendX_JQuery_View_Helper_UiWidget::_prepareAttributes()

Documentation generated on Mon, 24 Aug 2009 17:58:43 -0700 by phpDocumentor 1.4.2